*	AmxModX
*   Vampire plugin
*    by Crowley
*
*   CVars
*   amx_vampire_ap - hp add for kill
*   amx_vampire_hp_ap - hp add for kill in head
*   amx_vampire_max_ap - max player hp
*
*   Players gets AP for kills.
*/
#include <amxmodx>
#include <fun>

#define PLUGIN_VERSION "1.0"

new armor_add
new armor_hs_add
new armor_max

new nKiller
new nKiller_ap
new nAp_add
new nAp_max

public plugin_init()
{
   register_plugin("VampireAP", PLUGIN_VERSION, "x3 / Fix Castiel'")

   armor_add = register_cvar("amx_vampire_ap", "15")
   armor_hs_add = register_cvar("amx_vampire_ap_hs", "40")
   armor_max = register_cvar("amx_vampire_max_ap", "60")

   register_event("DeathMsg", "hook_death", "a", "1>0") 	
}

public hook_death()
{
   // Killer id
   nKiller = read_data(1)

   if ( (read_data(3) == 1) && (read_data(5) == 0) )
   {
      nAp_add = get_pcvar_num (armor_hs_add)
   }
   else
      nAp_add = get_pcvar_num (armor_add)

   nAp_max = get_pcvar_num (armor_max)

   // Updating Killer AP
   nKiller_ap = get_user_armor(nKiller)
   nKiller_ap += nAp_add

   // Maximum AP check
   if (nKiller_ap > nAp_max) nKiller_ap = nAp_max

   set_user_armor(nKiller, nKiller_ap)

   // Hud message "Armor +15/+40 ap"
   set_hudmessage(0, 255, 0, -1.0, 0.15, 0, 1.0, 1.0, 0.1, 0.1, -1)
   show_hudmessage(nKiller, "Брони +%d ap", nAp_add)

   // Screen fading
   message_begin(MSG_ONE, get_user_msgid("ScreenFade"), {0,0,0}, nKiller)
   write_short(1<<10)
   write_short(1<<10)
   write_short(0x0000)
   write_byte(0)
   write_byte(0)
   write_byte(200)
   write_byte(75)
   message_end()
   
} 
